### Virtual Method

# Clutter OffscreenEffect create_texture

#### Declaration [src]

    CoglTexture*
    create_texture (
      ClutterOffscreenEffect* effect,
      gfloat width,
      gfloat height
    )

#### Description [src]

Calls the `Clutter.OffscreenEffectClass.create_texture` virtual function of the `effect`.

#### Parameters

`width`

  Type: `gfloat`

  The minimum width of the target texture.

`height`

  Type: `gfloat`

  The minimum height of the target texture.

#### Return value

Type: `CoglTexture`

A handle to a Cogl texture, or `NULL`. The returned handle has its reference count increased.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.